# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Module-Extract-Namespaces
Version:	1.025
Release:	1.%{__distinit}%{__distvers}
Summary:	Extract the package declarations from a module
License:	Artistic-2.0
URL:		https://metacpan.org/release/Module-Extract-Namespaces
Source0:	https://cpan.metacpan.org/modules/by-module/Module/Module-Extract-Namespaces-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker) >= 6.64
BuildRequires:	perl(Test::Manifest) >= 1.21
# Module Runtime
BuildRequires:	perl(Carp)
BuildRequires:	perl(File::Spec::Functions)
BuildRequires:	perl(PPI) >= 1.270
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(Test::More) >= 1
BuildRequires:	perl(Test::Pod) >= 1.00
BuildRequires:	perl(Test::Pod::Coverage) >= 1.00
# Dependencies
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif

%description
This module extracts package declarations from Perl code without running the
code.

It does not extract:

 * Packages declared dynamically (e.g. in eval)
 * Packages created as part of a fully qualified variable name

%prep
%setup -q -n Module-Extract-Namespaces-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENSE
%doc Changes README.pod SECURITY.md
%{perl_vendorlib}/Module/
%{_mandir}/man3/Module::Extract::Namespaces.3*

%changelog
* Mon Jan 27 2025 Paul Howarth <paul@city-fan.org> - 1.025-1
- Update to 1.025
  - Refresh distro
- Package new SECURITY.md file

* Sun Feb 11 2024 Paul Howarth <paul@city-fan.org> - 1.024-1
- Update to 1.024
  - Refresh distro, update email address, release under new PAUSE ID BRIANDFOY

* Fri Apr 28 2023 Paul Howarth <paul@city-fan.org> - 1.023-4
- Use SPDX-format license tag

* Mon Jan 24 2022 Paul Howarth <paul@city-fan.org> - 1.023-1
- Update to 1.023
  - Fix truncated LICENSE file; no code changes

* Thu Jan 21 2021 Paul Howarth <paul@city-fan.org> - 1.022-1
- Update to 1.022
  - Freshen distro, dump Travis CI, add Appveyor, add GitHub Actions
- Switch upstream from search.cpan.org to metacpan.org
- Drop support for EOL distributions prior to F-19
  - Drop workarounds for building with ExtUtils::MakeMaker < 6.64
  - Use %%license unconditionally

* Thu Nov 30 2017 Paul Howarth <paul@city-fan.org> - 1.021-1
- Update to 1.021
  - Removed the shim code for PPI older than 1.125; now you have to have an
    updated PPI that understands the v5.12 package syntax
- License changed from "same as perl" to Artistic 2.0
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl
- Work around requirement for ExtUtils::MakeMaker ≥ 6.64
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section

* Tue Sep  6 2016 Paul Howarth <paul@city-fan.org> - 1.02-9
- BR: perl-generators where available
- Simplify find command using -delete

* Wed Sep 10 2014 Paul Howarth <paul@city-fan.org> - 1.02-5
- Drop %%defattr, redundant since rpm 4.4
- Use %%license where possible

* Thu Feb  6 2014 Paul Howarth <paul@city-fan.org> - 1.02-1
- Initial RPM version
